<div class="container" *ngIf="userForm">
  <form (ngSubmit)="submit()" [formGroup]="userForm">
    <div class="form-group">
      <label for="username">
        Username
      </label>
      <input type="text" id="username" class="form-control"
             placeholder="username" [formControl]="$any(userForm).get('username')">
    </div>
    <div class="form-group">
      <label for="email">
        Email
      </label>
      <input type="text" id="email" class="form-control"
             placeholder="email" [formControl]="$any(userForm).get('email')">
    </div>
    <div class="form-group">
      <label for="password">
        Password
      </label>
      <input type="password" id="username" class="form-control"
             placeholder="username" [formControl]="$any(userForm).get('password')">
    </div>
    <div class="form-group">
      <label for="passwordConfirm">
        Password confirm
      </label>
      <input type="password" id="passwordConfirm" class="form-control"
             placeholder="username confirm" [formControl]="$any(userForm).get('plainPassword')">
    </div>
    <button class="btn btn-primary" type="submit">
      Register
    </button>
  </form>
</div>
